<?php include('casa/setup.casa.php');
$titulo = 'Carrito Compras por Tienda';
include('inc_head.php');
$Dollar = Dollar();
$codigo_venta = $_SESSION['codigo_venta'];
?>
<style>
th{
	color:white;
	text-align:center;
	text-transform:uppercase;
	background:green;
}	
.filas{
	display:block;
	padding:4px 0;
	border-bottom:1px solid green;
}	
</style>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu2.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $titulo;?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
									<div class="table-responsive">
									<table class="display table table-striped table-hover">
											<thead>
												<tr>													
													<th>item</th>
													<th>descripción</th>
													<th>uni/cajas</th>
													<th>unidades</th>
													<th>precio unitario</th>
													<th>sub total</th>
													<th>opciones</TH>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, ventas_productos ven
											WHERE prod.ubica_codigo = ubi.ubica_codigo
											AND ven.ubica_codigo = ubi.ubica_codigo
											AND ven.prod_codigo = prod.prod_codigo
											AND ven.ven_codigo = '$codigo_venta'
											AND ven.ventas_tipo='app';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$total = 0;
											while($db->next()){						
											$i++;												
												$ubica_nombre = $db->dbField('ubica_nombre');													
												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												
												$ven_tipo = $db->dbField('ven_tipo');
												$ven_id = $db->dbField('ven_id');
												$ven_cantidad = $db->dbField('ven_cantidad');
												$ven_precio = $db->dbField('ven_precio');

												  switch($ven_tipo){
													case '1' : $tipo = 'Unidad'; 
														$precio = $prod_preciounitario;
														$piezas = 1;
														$unicaja = 'unidades';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '2' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja*12;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
													case '3' : $tipo = 'Caja Docena'; 
														$precio = $prod_preciocajadocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'cajas';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '4' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
												  }
											

												$total = $total + $ven_precio;
												$html.='<tr>';
													$html.='<td>'.$prod_item.'</td>';
													$html.='<td>'.$prod_nombre.'</td>';
													$html.='<td align=right>'.$ven_cantidad.' '.$unicaja.'</td>';
													$html.='<td align=right>'.($cantidades).'</td>';
													$html.='<td align=right>$u$: '.$precios.'<br>
																			Bs.: '.($precios*$Dollar).'</td>';
													$html.='<td align=right>'.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'</td>';													
													$html.="<td align=center>
														<a onclick=BorrarVenta('".$ven_id."') class='btn btn-default ml-auto' style='color:white'>
													BORRAR</a></td>";
												$html.='</tr>';											
												
											}//wend() 																						
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>
										<table class="display table table-striped table-hover">
											<?php 
											$html2= '<tr><td colspan=7 align=right><h3>TOTAL: Bs. '.$total.'</h3></td><td></td></tr>';
											echo $html2; ?>	
										</table>	 
										<?php if($total!=0){ ?>
											<div align=center>	
												<a href='<?php echo PATH_HOME.'ventastiendas-carrito-cliente1/'.$codigo_venta; ?>' class='btn btn-default ml-auto' style='color:white'>
												VENDER A CLIENTE</a> 
											</div>  
										<?php }//end if ?>                                    
                                	</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
			<div id='res'></div>
		</div>
		
		
	</div>
</body>
</html>
<script>							
function BorrarVenta(Ventaid){
	$.post('<?php echo PATH_HOME.'ventas-carrito-del/'. md5(uniqid()); ?>',{
	 'ven_id': Ventaid,
	 'codigo_venta':'<?php echo $codigo_venta; ?>',
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
	},function(data){
		$('#res').html(data);
	}); 
}	
</script>										
</script>